;InnoSetupVersion=4.0.1

[Setup]
AppName=MediaMonkey
AppVerName=MediaMonkey 2.1
AppId=MediaMonkey
AppVersion=2.1
AppPublisher=Ventis Media Inc.
AppPublisherURL=http://www.mediamonkey.com
AppSupportURL=http://www.mediamonkey.com
AppUpdatesURL=http://www.mediamonkey.com
DefaultDirName={pf}\MediaMonkey
DefaultGroupName=MediaMonkey
OutputBaseFilename=MediaMonkey_2_1
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\MediaMonkey.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\akrip32.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\id3lib.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\vorbis.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\whatsnew.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Decoder.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\lame_enc.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Equalize.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\WMAFunct.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\DSMSUtil.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\MMHelper.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ogg.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Gain.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\vorbisenc.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\NeroBurn.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\MediaMonkey.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Unzip32.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\MediaMonkey.ini"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{sys}\msscript.ocx"; DestDir: "{sys}"; Flags: regserver sharedfile 
Source: "{app}\License\COPYING"; DestDir: "{app}\License"; Flags: ignoreversion 
Source: "{app}\License\copying-2.1"; DestDir: "{app}\License"; Flags: ignoreversion 
Source: "{app}\License\license.txt"; DestDir: "{app}\License"; Flags: ignoreversion 
Source: "{app}\Plugins\out_ds.dll"; DestDir: "{app}\Plugins"; Flags: ignoreversion 
Source: "{app}\Plugins\out_wave.dll"; DestDir: "{app}\Plugins"; Flags: ignoreversion 
Source: "{app}\Plugins\in_vorbis.dll"; DestDir: "{app}\Plugins"; Flags: ignoreversion 
Source: "{app}\Plugins\in_wave.dll"; DestDir: "{app}\Plugins"; Flags: ignoreversion 
Source: "{app}\Plugins\dsp_DeFX.dll"; DestDir: "{app}\Plugins"; Flags: ignoreversion 
Source: "{app}\Plugins\DeFXInfo.htm"; DestDir: "{app}\Plugins"; Flags: ignoreversion 
Source: "{app}\Plugins\in_CDReader.dll"; DestDir: "{app}\Plugins"; Flags: ignoreversion 
Source: "{app}\Plugins\in_CDReader.txt"; DestDir: "{app}\Plugins"; Flags: ignoreversion 
Source: "{app}\Plugins\in_cda.dll"; DestDir: "{app}\Plugins"; Flags: ignoreversion 
Source: "{app}\Plugins\in_dsmp3.dll"; DestDir: "{app}\Plugins"; Flags: ignoreversion 
Source: "{app}\Plugins\in_dswm.dll"; DestDir: "{app}\Plugins"; Flags: ignoreversion 
Source: "{app}\Plugins\f_ogg.dll"; DestDir: "{app}\Plugins"; Flags: ignoreversion 
Source: "{app}\Skins\Esthetic_HiFi.wsz"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\Messiah.wsz"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\Oxygen2.wsz"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\Music_sheet.bmp"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\commandbar.bmp"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\list.bmp"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\playing.bmp"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\tree.bmp"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Equalizer\Classical.sde"; DestDir: "{app}\Equalizer"; Flags: onlyifdoesntexist 
Source: "{app}\Equalizer\Dance.sde"; DestDir: "{app}\Equalizer"; Flags: onlyifdoesntexist 
Source: "{app}\Equalizer\Live.sde"; DestDir: "{app}\Equalizer"; Flags: onlyifdoesntexist 
Source: "{app}\Equalizer\Pop.sde"; DestDir: "{app}\Equalizer"; Flags: onlyifdoesntexist 
Source: "{app}\Equalizer\Reggae.sde"; DestDir: "{app}\Equalizer"; Flags: onlyifdoesntexist 
Source: "{app}\Equalizer\Rock.sde"; DestDir: "{app}\Equalizer"; Flags: onlyifdoesntexist 
Source: "{app}\Scripts\MediaMonkey init.vbs"; DestDir: "{app}\Scripts"; Flags: ignoreversion 
Source: "{app}\Scripts\Export.vbs"; DestDir: "{app}\Scripts"; Flags: ignoreversion 
Source: "{app}\Scripts\Scripts.ini"; DestDir: "{app}\Scripts"; Flags: onlyifdoesntexist 
Source: "{app}\Data\MediaMonkey.mdb"; DestDir: "{app}\Data"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "Assoc.dll"; Flags: dontcopy 
Source: "{tmp}\MAD_Setup.exe"; DestDir: "{tmp}"; Flags: deleteafterinstall ignoreversion 

[Registry]
Root: HKCU; Subkey: "Software\Songs-DB"; Flags: uninsdeletekey 

[INI]
FileName: "{app}\MediaMonkey.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.mediamonkey.com"; 
FileName: "{app}\Scripts\Scripts.ini"; Section: "ExportCSV"; Key: "ScriptType"; String: "1"; 
FileName: "{app}\Scripts\Scripts.ini"; Section: "ExportXML"; Key: "ScriptType"; String: "1"; 
FileName: "{app}\Scripts\Scripts.ini"; Section: "ExportHTML"; Key: "ScriptType"; String: "1"; 
FileName: "{app}\Scripts\Scripts.ini"; Section: "ExportXLS"; Key: "ScriptType"; String: "1"; 

[Run]
Filename: "{tmp}\MAD_Setup.exe"; Parameters: """{app}\Plugins\"""; Description: "Install MAD MP3 Input Plug-in (improves MP3 playback)"; Flags: postinstall skipifsilent 
Filename: "{app}\readme.txt"; Description: "View the README file"; Flags: shellexec skipifdoesntexist postinstall skipifsilent 
Filename: "{app}\MediaMonkey.exe"; Description: "Launch MediaMonkey"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\MediaMonkey.exe"; Parameters: "/unassoc"; 

[Icons]
Name: "{group}\MediaMonkey"; Filename: "{app}\MediaMonkey.exe"; 
Name: "{group}\MediaMonkey Help"; Filename: "{app}\MediaMonkey.chm"; 
Name: "{group}\MediaMonkey Read Me"; Filename: "{app}\readme.txt"; 
Name: "{group}\MediaMonkey on the Web"; Filename: "{app}\MediaMonkey.url"; 
Name: "{group}\Uninstall MediaMonkey"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\MediaMonkey"; Filename: "{app}\MediaMonkey.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\MediaMonkey"; Filename: "{app}\MediaMonkey.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\MediaMonkey.url"; 
Type: files; Name: "{app}\MediaMonkey.ini"; 
Type: files; Name: "{app}\MediaMonkey.m3u"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
